%- **********************************************************************
%-
%- Macros for compiler support
%- **********************************************************************
%define COMPILER %Compiler
%define CPU_FAMILY %CPUfamily
%-
%-BW_INTERN_COMMENTS_START
%- List of descriptions of internal methods
%define! Description_SendCommand Sends a command to the SD card
%define! Description_CLKDelay Delays SPI communication for a given number of SPI communication frames
%define! Description_Init Initializes the driver
%define! Description_ReceiveDataBlock Retrieve a data block from the device
%define! Description_SendDataBlock Send a data block to the device
%define! Description_SendCmd Sends a command to the device and returns the response
%define! Description_ReceiveByte Receives a byte from the SPI bus
%-BW_INTERN_COMMENTS_END
%-
%-BW_SECTIONS_INSERT
%if (COMPILER = "CodeWarriorColdFireV1") | (COMPILER = "CodeWarriorMCF")
  %define COMPILER_MW
%elif COMPILER = "CodeWarriorRS08CC"
%elif COMPILER = "MetrowerksHC08CC"
%elif COMPILER = "MetrowerksHCS08CC"
%elif COMPILER = "MetrowerksHC12CC"
%elif COMPILER = "MetrowerksHC12XCC"
%else
  %warning "Unknown compiler %Compiler"
%endif
%if (CPU_FAMILY = "HCS08") | (CPU_FAMILY = "HC08") | (CPU_FAMILY = "RS08")  | (CPU_FAMILY = "HCS12X") | (CPU_FAMILY = "HCS12")
  %- define a macro for the HIWARE/8/16bit compiler
  %define COMPILER_HIX
%endif
%-
%- **********************************************************************
%- Macros for formatting
%- **********************************************************************
%- default comment tab position
%define CTAB 45
%-

