/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : RTOSTMR1.H
**     Project   : ProcessorExpert
**     Processor : MCF51QE128CLH
**     Component : TimerInt
**     Version   : Component 02.158, Driver 01.20, CPU db: 3.00.078
**     Compiler  : CodeWarrior ColdFireV1 C Compiler
**     Date/Time : 20.06.2010, 19:08
**     Abstract  :
**         This component "TimerInt" implements a periodic interrupt.
**         When the component and its events are enabled, the "OnInterrupt"
**         event is called periodically with the period that you specify.
**         TimerInt supports also changing the period in runtime.
**         The source of periodic interrupt can be timer compare or reload
**         register or timer-overflow interrupt (of free running counter).
**     Settings  :
**         Timer name                  : RTC (8-bit)
**         Compare name                : RTCmod
**         Counter shared              : No
**
**         High speed mode
**             Prescaler               : divide-by-1
**             Clock                   : 16384 Hz
**           Initial period/frequency
**             Xtal ticks              : 328
**             microseconds            : 10010
**             milliseconds            : 10
**             seconds (real)          : 0.010009765625
**             Hz                      : 100
**
**         Runtime setting             : none
**
**         Initialization:
**              Timer                  : Disabled
**              Events                 : Enabled
**
**         Timer registers
**              Counter                : RTCCNT    [0xFFFF9831]
**              Mode                   : RTCSC     [0xFFFF9830]
**              Run                    : RTCSC     [0xFFFF9830]
**              Prescaler              : RTCSC     [0xFFFF9830]
**
**         Compare registers
**              Compare                : RTCMOD    [0xFFFF9832]
**
**         Flip-flop registers
**     Contents  :
**         Enable  - byte RTOSTMR1_Enable(void);
**         Disable - byte RTOSTMR1_Disable(void);
**
**     Copyright : 1997 - 2009 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef __RTOSTMR1
#define __RTOSTMR1

/* MODULE RTOSTMR1. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"

byte RTOSTMR1_Enable(void);
/*
** ===================================================================
**     Method      :  RTOSTMR1_Enable (component TimerInt)
**
**     Description :
**         This method enables the component - it starts the timer.
**         Events may be generated (<DisableEvent>/<EnableEvent>).
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

byte RTOSTMR1_Disable(void);
/*
** ===================================================================
**     Method      :  RTOSTMR1_Disable (component TimerInt)
**
**     Description :
**         This method disables the component - it stops the timer. No
**         events will be generated.
**     Parameters  : None
**     Returns     :
**         ---             - Error code, possible codes:
**                           ERR_OK - OK
**                           ERR_SPEED - This device does not work in
**                           the active speed mode
** ===================================================================
*/

__interrupt void RTOSTMR1_Interrupt(void);
/*
** ===================================================================
**     Method      :  RTOSTMR1_Interrupt (component TimerInt)
**
**     Description :
**         The method services the interrupt of the selected peripheral(s)
**         and eventually invokes the component event(s).
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/

void RTOSTMR1_Init(void);
/*
** ===================================================================
**     Method      :  RTOSTMR1_Init (component TimerInt)
**
**     Description :
**         Initializes the associated peripheral(s) and the component 
**         internal variables. The method is called automatically as a 
**         part of the application initialization code.
**         This method is internal. It is used by Processor Expert only.
** ===================================================================
*/


/* END RTOSTMR1. */

#endif /* ifndef __RTOSTMR1 */
/*
** ###################################################################
**
**     This file was created by Processor Expert 4.00 Beta [04.40]
**     for the Freescale ColdFireV1 series of microcontrollers.
**
** ###################################################################
*/
