/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename  : LEDpin1.H
**     Project   : ProcessorExpert
**     Processor : MC13213
**     Component : BitIO
**     Version   : Component 02.075, Driver 03.24, CPU db: 2.87.131
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 20.06.2010, 18:03
**     Abstract  :
**         This component "BitIO" implements an one-bit input/output.
**         It uses one bit/pin of a port.
**         Note: This component is set to work in Output direction only.
**         Methods of this component are mostly implemented as a macros
**         (if supported by target language and compiler).
**     Settings  :
**         Used pin                    :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       48            |  PTD4_TPM2CH1
**             ----------------------------------------------------
**
**         Port name                   : PTD
**
**         Bit number (in port)        : 4
**         Bit mask of the port        : $0010
**
**         Initial direction           : Output (direction cannot be changed)
**         Initial output value        : 0
**         Initial pull option         : off
**
**         Port data register          : PTDD      [$000C]
**         Port control register       : PTDDD     [$000F]
**
**         Optimization for            : speed
**     Contents  :
**         GetVal - bool LEDpin1_GetVal(void);
**         ClrVal - void LEDpin1_ClrVal(void);
**         SetVal - void LEDpin1_SetVal(void);
**         NegVal - void LEDpin1_NegVal(void);
**
**     Copyright : 1997 - 2009 Freescale Semiconductor, Inc. All Rights Reserved.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/

#ifndef LEDpin1_H_
#define LEDpin1_H_

/* MODULE LEDpin1. */

  /* Including shared modules, which are used in the whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "Cpu.h"


/*
** ===================================================================
**     Method      :  LEDpin1_GetVal (component BitIO)
**
**     Description :
**         This method returns an input value.
**           a) direction = Input  : reads the input value from the
**                                   pin and returns it
**           b) direction = Output : returns the last written value
**         Note: This component is set to work in Output direction only.
**     Parameters  : None
**     Returns     :
**         ---             - Input value. Possible values:
**                           FALSE - logical "0" (Low level)
**                           TRUE - logical "1" (High level)

** ===================================================================
*/
#define LEDpin1_GetVal() ( \
    (bool)((getReg8(PTDD) & 0x10))     /* Return port data */ \
  )

/*
** ===================================================================
**     Method      :  LEDpin1_ClrVal (component BitIO)
**
**     Description :
**         This method clears (sets to zero) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDpin1_ClrVal() ( \
    (void)clrReg8Bits(PTDD, 0x10)      /* PTDD4=0x00 */ \
  )

/*
** ===================================================================
**     Method      :  LEDpin1_SetVal (component BitIO)
**
**     Description :
**         This method sets (sets to one) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDpin1_SetVal() ( \
    (void)setReg8Bits(PTDD, 0x10)      /* PTDD4=0x01 */ \
  )

/*
** ===================================================================
**     Method      :  LEDpin1_NegVal (component BitIO)
**
**     Description :
**         This method negates (inverts) the output value.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
#define LEDpin1_NegVal() ( \
    (void)invertReg8Bits(PTDD, 0x10)   /* PTDD4=invert */ \
  )



/* END LEDpin1. */
#endif /* #ifndef __LEDpin1_H_ */
/*
** ###################################################################
**
**     This file was created by Processor Expert 4.00 Beta [04.40]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
